default:
  hardness: 1
  blastResistance: 0
values:
  STONE:
    blastResistance: 30
  GRASS:
    blastResistance: 3
  DIRT:
    blastResistance: 2.5
  COBBLESTONE:
    blastResistance: 30
  WOOD:
  SAPLING:
    hardness: 0
  BEDROCK:
    hardness: -1
    blastResistance: 18000000
  WATER:
  STATIONARY_WATER:
  LAVA:
  STATIONARY_LAVA:
  SAND:
  GRAVEL:
  GOLD_ORE:
  IRON_ORE:
  COAL_ORE:
  LOG:
  LEAVES:
  SPONGE:
  GLASS:
  LAPIS_ORE:
  LAPIS_BLOCK:
  DISPENSER:
  SANDSTONE:
  NOTE_BLOCK:
  BED_BLOCK:
  POWERED_RAIL:
  DETECTOR_RAIL:
  PISTON_STICKY_BASE:
  WEB:
  LONG_GRASS:
    hardness: 0
  DEAD_BUSH:
    hardness: 0
  PISTON_BASE:
  PISTON_EXTENSION:
  WOOL:
  PISTON_MOVING_PIECE:
  YELLOW_FLOWER:
    hardness: 0
  RED_ROSE:
    hardness: 0
  BROWN_MUSHROOM:
    hardness: 0
  RED_MUSHROOM:
    hardness: 0
  GOLD_BLOCK:
  IRON_BLOCK:
  DOUBLE_STEP:
  STEP:
  BRICK:
  TNT:
    hardness: 0
  BOOKSHELF:
  MOSSY_COBBLESTONE:
  OBSIDIAN:
    hardness: 50
    blastResistance: 6000
  TORCH:
    hardness: 0
  FIRE:
  MOB_SPAWNER:
  WOOD_STAIRS:
  CHEST:
  REDSTONE_WIRE:
    hardness: 0
  DIAMOND_ORE:
  DIAMOND_BLOCK:
  WORKBENCH:
  CROPS:
    hardness: 0
  SOIL:
  FURNACE:
  BURNING_FURNACE:
  SIGN_POST:
  WOODEN_DOOR:
  LADDER:
  RAILS:
  COBBLESTONE_STAIRS:
  WALL_SIGN:
  LEVER:
  STONE_PLATE:
  IRON_DOOR_BLOCK:
  WOOD_PLATE:
  REDSTONE_ORE:
  GLOWING_REDSTONE_ORE:
  REDSTONE_TORCH_OFF:
    hardness: 0
  REDSTONE_TORCH_ON:
    hardness: 0
  STONE_BUTTON:
  SNOW:
  ICE:
  SNOW_BLOCK:
  CACTUS:
  CLAY:
  SUGAR_CANE_BLOCK:
    hardness: 0
  JUKEBOX:
  FENCE:
  PUMPKIN:
  NETHERRACK:
  SOUL_SAND:
  GLOWSTONE:
  PORTAL:
  JACK_O_LANTERN:
  CAKE_BLOCK:
  DIODE_BLOCK_OFF:
    hardness: 0
  DIODE_BLOCK_ON:
    hardness: 0
  STAINED_GLASS:
  TRAP_DOOR:
  MONSTER_EGGS:
  SMOOTH_BRICK:
  HUGE_MUSHROOM_1:
  HUGE_MUSHROOM_2:
  IRON_FENCE:
  THIN_GLASS:
  MELON_BLOCK:
  PUMPKIN_STEM:
    hardness: 0
  MELON_STEM:
    hardness: 0
  VINE:
  FENCE_GATE:
  BRICK_STAIRS:
  SMOOTH_STAIRS:
  MYCEL:
  WATER_LILY:
  NETHER_BRICK:
  NETHER_FENCE:
  NETHER_BRICK_STAIRS:
  NETHER_WARTS:
    hardness: 0
  ENCHANTMENT_TABLE:
  BREWING_STAND:
  CAULDRON:
  ENDER_PORTAL:
  ENDER_PORTAL_FRAME:
  ENDER_STONE:
  DRAGON_EGG:
  REDSTONE_LAMP_OFF:
  REDSTONE_LAMP_ON:
  WOOD_DOUBLE_STEP:
  WOOD_STEP:
  COCOA:
  SANDSTONE_STAIRS:
  EMERALD_ORE:
  ENDER_CHEST:
  TRIPWIRE_HOOK:
    hardness: 0
  TRIPWIRE:
    hardness: 0
  EMERALD_BLOCK:
  SPRUCE_WOOD_STAIRS:
  BIRCH_WOOD_STAIRS:
  JUNGLE_WOOD_STAIRS:
  COMMAND:
  BEACON:
  COBBLE_WALL:
  FLOWER_POT:
    hardness: 0
  CARROT:
    hardness: 0
  POTATO:
    hardness: 0
  WOOD_BUTTON:
  SKULL:
  ANVIL:
  TRAPPED_CHEST:
  GOLD_PLATE:
  IRON_PLATE:
  REDSTONE_COMPARATOR_OFF:
    hardness: 0
  REDSTONE_COMPARATOR_ON:
    hardness: 0
  DAYLIGHT_DETECTOR:
  REDSTONE_BLOCK:
  QUARTZ_ORE:
  HOPPER:
  QUARTZ_BLOCK:
  QUARTZ_STAIRS:
  ACTIVATOR_RAIL:
  DROPPER:
  STAINED_CLAY:
  STAINED_GLASS_PANE:
  LEAVES_2:
  LOG_2:
  ACACIA_STAIRS:
  DARK_OAK_STAIRS:
  SLIME_BLOCK:
  BARRIER:
  IRON_TRAP_DOOR:
  PRISMARINE:
  SEA_LANTERN:
  HAY_BLOCK:
  CARPET:
  HARD_CLAY:
  COAL_BLOCK:
  PACKED_ICE:
  DOUBLE_PLANT:
  STANDING_BANNER:
  WALL_BANNER:
  DAYLIGHT_DETECTOR_INVERTED:
  RED_SANDSTONE:
  RED_SANDSTONE_STAIRS:
  DOUBLE_STEP_2:
  STEP_2:
  SPRUCE_FENCE_GATE:
  BIRCH_FENCE_GATE:
  JUNGLE_FENCE_GATE:
  DARK_OAK_FENCE_GATE:
  ACACIA_FENCE_GATE:
  SPRUCE_FENCE:
  BIRCH_FENCE:
  JUNGLE_FENCE:
  DARK_OAK_FENCE:
  ACACIA_FENCE:
  SPRUCE_DOOR:
  BIRCH_DOOR:
  JUNGLE_DOOR:
  ACACIA_DOOR:
  DARK_OAK_DOOR: